Home
last modified time | relevance | path

Searched +full:rev +full:- +full:parse (Results 1 – 25 of 115) sorted by relevance

12345

/freebsd/sys/contrib/device-tree/scripts/
H A Dgit-filter-branch5 # Minimal changes to "port" it to core-git (c) Johannes Schindelin, 2007
14 EMPTY_TREE=$(git hash-object -t tree /dev/null)
23 if test -r "$workdir/../map/$1"
37 while [ -n "$1" ];
49 if test $# = 3 && test "$1" = $(git rev-parse "$3^{tree}"); then
54 git commit-tree "$@"
72 # Ensure non-empty id name.
86 if test -z "$FILTER_BRANCH_SQUELCH_WARNING$GIT_TEST_DISALLOW_ABBREVIATED_OPTIONS"
89 WARNING: git-filter-branch has a glut of gotchas generating mangled history
90 rewrites. Hit Ctrl-C before proceeding to abort, then use an
[all …]
H A Dfilter.sh3 # git branch -D upstream/rewritten-prev upstream/master upstream/rewritten filter-state-split
5 set -e
7 export SCRIPTS=$(dirname $(readlink -f $0))
14 LAST=$(git show-ref -s refs/heads/$UPSTREAM_MASTER||true)
15 if [ -n "$LAST" ] ; then
22 FETCH_HEAD=$(git rev-parse FETCH_HEAD)
28 rm -f .git/refs/original/refs/heads/${UPSTREAM_REWRITTEN}
30 git branch -f $UPSTREAM_REWRITTEN FETCH_HEAD
32 PATH=$(git --exec-path):$PATH $SCRIPTS/git-filter-branch --force \
33 --index-filter ${SCRIPTS}/index-filter.sh \
[all …]
/freebsd/release/
H A DMakefile.inc113 GITBRANCH!= ${GIT_CMD} -C ${.CURDIR} rev-parse --abbrev-ref HEAD 2>/dev/null | sed -e 's/\^\///'
17 GITREV!= ${GIT_CMD} -C ${.CURDIR} rev-parse --verify --short HEAD 2>/dev/null || true
21 GITCOUNT!= ${GIT_CMD} -C ${.CURDIR} rev-list --first-parent --count HEAD 2>/dev/null || true
25 GITEPOCH!= ${GIT_CMD} -C ${.CURDIR} show -s --format=%ct HEAD 2>/dev/null || true
46 UNAME_r= ${REVISION}-${BRANCH}
/freebsd/crypto/openssl/util/
H A Dcheck-format-commit.sh2 # Copyright 2020-2024 The OpenSSL Project Authors. All Rights Reserved.
9 # This script is a wrapper around check-format.pl.
12 # that were changed in that commit range, filtering check-format.pl output
15 # check-format-commit.sh # check unstaged changes
16 # check-format-commit.sh HEAD
17 # check-format-commit.sh @~3..
18 # check-format-commit.sh f5981c9629667a5a5d6
19 # check-format-commit.sh f5981c9629667a5a5d6..ee0bf38e8709bf71888
29 TEMPDIR=$(mktemp -d /tmp/checkformat.XXXXXX)
32 # used to locate the check-format.pl script
[all …]
/freebsd/sys/tools/
H A Dacpi_quirks2h.awk1 #!/usr/bin/awk -f
4 #-
5 # SPDX-License-Identifier: BSD-2-Clause
69 # Parse table type to match
72 # Parse OEM ID
76 # Parse OEM Table ID
77 ANCHOR = LENGTH - (M + RLENGTH - 1);
90 # Parse table type to match
108 # Parse operand
111 printf("\t{ \"%s\", OEM_REV, {.op = %s}, {.rev = %s} },\n",
[all …]
/freebsd/tools/tools/commitsdb/
H A Dmake_commit_db1 #!/usr/bin/perl -w
22 if (-f $filename) {
27 } elsif (-d $filename) {
37 foreach my $rev (keys %$file) {
38 my $hash = $$file{$rev};
40 print DB "$f $rev $hash\n";
53 # Run a cvs log on a file and return a parse entry.
59 open LOG, "cvs -R log $file 2>/dev/null |" or die $!;
65 my @entries = split /----------------------------\n/, $log;
75 my $rev = $1;
[all …]
/freebsd/sys/dev/bhnd/bcma/
H A Dbcma_erom.c1 /*-
2 * SPDX-License-Identifier: BSD-2-Clause
4 * Copyright (c) 2015-2017 Landon Fuller <landonf@landonf.org>
53 * Provides auto-discovery of BCMA cores on Broadcom's HND SoC.
56 * ChipCommon registers. The table itself is comprised of 32-bit
57 * type-tagged entries, organized into an array of variable-length
60 * The final core descriptor is followed by a 32-bit BCMA_EROM_TABLE_EOF (0xF)
105 * BCMA EROM per-instance state.
116 (unsigned long long)(erom->offset), ##__VA_ARGS__); \
145 sc->eio = eio; in bcma_erom_init()
[all …]
/freebsd/sys/conf/
H A Dnewvers.sh1 #!/bin/sh -
3 # SPDX-License-Identifier: BSD-3-Clause
34 # -c Print the copyright / license statement as a C comment and exit
36 # -r Reproducible build. Do not embed directory names, user names,
42 # -R Reproducible build if the tree represents an unmodified
46 # -V var Print ${var}="${val-of-var}" and exit
48 # -v Print TYPE REVISION BRANCH RELEASE VERSION RELDATE variables
49 # like the -V command
55 if [ -n "${BRANCH_OVERRIDE}" ]; then
61 if [ -z "${SYSDIR}" ]; then
[all …]
/freebsd/sys/dev/bhnd/tools/
H A Dnvram_map_gen.awk1 #!/usr/bin/awk -f
3 #-
4 # Copyright (c) 2015-2016 Landon Fuller <landon@landonf.org>
39 print "usage: bhnd_nvram_map.awk <input map> [-hd] [-o output file]"
69 # Parse arguments
74 if (ARGV[_i] == "--debug") {
76 } else if (ARGV[_i] == "-d" && OUT_T == null) {
78 } else if (ARGV[_i] == "-h" && OUT_T == null) {
80 } else if (ARGV[_i] == "-v") {
82 } else if (ARGV[_i] == "-o") {
[all …]
/freebsd/sys/contrib/openzfs/
H A DMakefile.am14 ACLOCAL_AMFLAGS = -I config
36 extradir = $(prefix)/src/zfs-$(VERSION)
40 dist_noinst_DATA += autogen.sh copy-builtin
48 dist_noinst_DATA += module/icp/asm-x86_64/aes/THIRDPARTYLICENSE.gladman
49 dist_noinst_DATA += module/icp/asm-x86_64/aes/THIRDPARTYLICENSE.gladman.descrip
50 dist_noinst_DATA += module/icp/asm-x86_64/aes/THIRDPARTYLICENSE.openssl
51 dist_noinst_DATA += module/icp/asm-x86_64/aes/THIRDPARTYLICENSE.openssl.descrip
52 dist_noinst_DATA += module/icp/asm-x86_64/modes/THIRDPARTYLICENSE.cryptogams
53 dist_noinst_DATA += module/icp/asm-x86_64/modes/THIRDPARTYLICENSE.cryptogams.descrip
54 dist_noinst_DATA += module/icp/asm-x86_64/modes/THIRDPARTYLICENSE.openssl
[all …]
/freebsd/contrib/unbound/smallapp/
H A Dunbound-checkconf.c2 * smallapp/unbound-checkconf.c - config file checker for unbound.conf file.
79 #include "edns-subnet/subnet-whitelist.h"
86 printf("Usage: local-unbound-checkconf [file]\n"); in usage()
89 printf("-o option print value of option to stdout.\n"); in usage()
90 printf("-f output full pathname with chroot applied, eg. with -o pidfile.\n"); in usage()
91 printf("-q quiet (suppress output on success).\n"); in usage()
92 printf("-h show this usage help.\n"); in usage()
110 char *p = fname_after_chroot(cfg->pidfile, cfg, 1); in print_option()
116 if(strcmp(opt, "auto-trust-anchor-file") == 0 && final) { in print_option()
117 struct config_strlist* s = cfg->auto_trust_anchor_file_list; in print_option()
[all …]
/freebsd/.github/workflows/
H A Dstyle.yml17 runs-on: ubuntu-latest
21 - name: Get depth
24 - name: checkout
27 fetch-depth: ${{ env.DEPTH }}
29 - name: Install packages
31 sudo apt-get update --quiet || true
32 sudo apt-get -yq --no-install-suggests --no-install-recommends install perl
33 - name: Run checker
35 sha=$(git rev-parse HEAD~${{ github.event.pull_request.commits }})
36 tools/build/checkstyle9.pl --github ${sha}..${{ github.event.pull_request.head.sha }}
/freebsd/contrib/googletest/.github/ISSUE_TEMPLATE/
H A D00-bug_report.yml5 - type: textarea
6 id: what-happened
12 - type: textarea
19 - type: textarea
23 …description: Please include the output of `git rev-parse HEAD` or the GoogleTest release version n…
26 - type: textarea
33 - type: textarea
37 …description: Please include the output of `gcc -v` or `clang -v`, or the equivalent for your compi…
40 - type: textarea
44 …description: Please include the output of `bazel --version` or `cmake --version`, or the equivalen…
[all …]
/freebsd/tools/tools/git/
H A Dgit-arc.sh3 # SPDX-License-Identifier: BSD-2-Clause
5 # Copyright (c) 2019-2021 Mark Johnston <markj@FreeBSD.org>
31 # - roll back after errors or SIGINT
32 # - created revs
33 # - main (for git arc stage)
49 rm -fr "$GITARC_TMPDIR"
50 trap - EXIT
57 Usage: git arc [-vy] <command> <arguments>
60 create [-l] [-r <reviewer1>[,<reviewer2>...]] [-s subscriber[,...]] [<commit>|<commit range>]
62 patch [-c] <diff1> [<diff2> ...]
[all …]
H A Dmfc-candidates.lua3 -- SPDX-License-Identifier: BSD-2-Clause
4 -- Copyright 2024 The FreeBSD Foundation
6 -- MFC candidate search utility. Identify hashes that exist only in the
7 -- "MFC from" branch and do not have a corresponding "cherry picked from"
8 -- commit in the "MFC to" branch.
10 -- Execute a command and return its output. A final newline is stripped,
11 -- similar to sh.
16 if output:sub(-1) == "\n" then
17 return output:sub(1, -2)
22 -- Return a table of cherry-pick (MFC) candidates.
[all …]
H A Darcgit31 # review_D2185 branch, commit your change with "git commit --fixup HEAD". To\
33 # $ arc diff --update D2185 review_D2185_base
36 # together, and then do a git rebase -ik to meld the code review fixes into the
42 echo "Usage: arcgit <-c commit | -r commit1~..commit2> [-R reviewer] " >&2
43 echo " [-C subscriber] [-T testplan] [-n]" >&2
50 rm -f $phab_before $phab_after $arc_msg
60 phab_before=`mktemp -t arcoutput`
61 phab_after=`mktemp -t arcoutput`
62 echo "Create review for '`git show $commit -s --oneline`'"
64 if [ -n "$dry_run" ]
[all …]
/freebsd/contrib/libcbor/
H A Drelease.sh6 set -e
16 # http://stackoverflow.com/questions/59895/getting-the-source-directory-of-a-bash-script-from-within
18 OUTDIR=$(mktemp -d)
25 grep -A 10 -F "$1" CHANGELOG.md || true
33 grep -A 2 'SET(CBOR_VERSION_MAJOR' CMakeLists.txt
37 grep -A 2 'CBOR_MAJOR_VERSION' examples/bazel/third_party/libcbor/cbor/configuration.h
44 set -x
53 cp -r html libcbor_docs_html
54 tar -zcf libcbor_docs.tar.gz libcbor_docs_html
56 cp -r doxygen/html libcbor_api_docs_html
[all …]
/freebsd/secure/usr.bin/openssl/man/
H A Dopenssl-rsautl.118 .\" Set up some character translations and predefined strings. \*(-- will
24 .tr \(*W-
27 . ds -- \(*W-
29 . if (\n(.H=4u)&(1m=24u) .ds -- \(*W\h'-12u'\(*W\h'-12u'-\" diablo 10 pitch
30 . if (\n(.H=4u)&(1m=20u) .ds -- \(*W\h'-12u'\(*W\h'-8u'-\" diablo 12 pitch
37 . ds -- \|\(em\|
71 .\" Fear. Run. Save yourself. No user-serviceable parts.
81 . ds #H ((1u-(\\\\n(.fu%2u))*.13m)
97 . ds ' \\k:\h'-(\\n(.wu*8/10-\*(#H)'\'\h"|\\n:u"
98 . ds ` \\k:\h'-(\\n(.wu*8/10-\*(#H)'\`\h'|\\n:u'
[all …]
H A Dopenssl-pkeyutl.118 .\" Set up some character translations and predefined strings. \*(-- will
24 .tr \(*W-
27 . ds -- \(*W-
29 . if (\n(.H=4u)&(1m=24u) .ds -- \(*W\h'-12u'\(*W\h'-12u'-\" diablo 10 pitch
30 . if (\n(.H=4u)&(1m=20u) .ds -- \(*W\h'-12u'\(*W\h'-8u'-\" diablo 12 pitch
37 . ds -- \|\(em\|
71 .\" Fear. Run. Save yourself. No user-serviceable parts.
81 . ds #H ((1u-(\\\\n(.fu%2u))*.13m)
97 . ds ' \\k:\h'-(\\n(.wu*8/10-\*(#H)'\'\h"|\\n:u"
98 . ds ` \\k:\h'-(\\n(.wu*8/10-\*(#H)'\`\h'|\\n:u'
[all …]
/freebsd/crypto/openssl/doc/man1/
H A Dopenssl-rsautl.pod.in2 {- OpenSSL::safe::output_do_not_edit_headers(); -}
6 openssl-rsautl - RSA command
11 [B<-help>]
12 [B<-in> I<file>]
13 [B<-passin> I<arg>]
14 [B<-rev>]
15 [B<-out> I<file>]
16 [B<-inkey> I<filename>|I<uri>]
17 [B<-keyform> B<DER>|B<PEM>|B<P12>|B<ENGINE>]
18 [B<-pubin>]
[all …]
/freebsd/sys/dev/bhnd/nvram/
H A Dbhnd_nvram_data_sprom.c1 /*-
2 * Copyright (c) 2015-2016 Landon Fuller <landonf@FreeBSD.org>
60 * The SPROM data format is a fixed-layout, non-self-descriptive binary format,
105 (((struct bhnd_sprom_opcode_idx_entry *)(_cookie))->vid)
122 * @retval non-zero If checking @p io otherwise fails, a regular unix
132 if (layout->flags & SPROM_LAYOUT_MAGIC_NONE) in bhnd_nvram_sprom_check_magic()
136 error = bhnd_nvram_io_read(io, layout->magic_offset, magic, in bhnd_nvram_sprom_check_magic()
144 if (*magic != layout->magic_value) in bhnd_nvram_sprom_check_magic()
156 * revisions, validate a signature at a revision-specific offset).
162 * @retval non-zero If identifying @p io otherwise fails, a regular unix
[all …]
/freebsd/sys/dev/iicbus/pmic/
H A Dfan53555.c1 /*-
2 * SPDX-License-Identifier: BSD-2-Clause
67 device_printf(sc->base_dev, "%s: " format, __func__, arg)
170 rv = fan53555_read(sc->base_dev, sc->live_reg, sel); in fan53555_read_sel()
183 rv = fan53555_read(sc->base_dev, sc->live_reg, &reg); in fan53555_write_sel()
189 rv = fan53555_write(sc->base_dev, sc->live_reg, reg); in fan53555_write_sel()
210 sc->name); in fan53555_regnode_enable()
211 fan53555_read(sc->base_dev, sc->live_reg, &val); in fan53555_regnode_enable()
216 fan53555_write(sc->base_dev, sc->live_reg, val); in fan53555_regnode_enable()
218 *udelay = sc->param->enable_delay; in fan53555_regnode_enable()
[all …]
/freebsd/crypto/openssl/apps/
H A Dpkeyutl.c2 * Copyright 2006-2023 The OpenSSL Project Authors. All Rights Reserved.
56 {"help", OPT_HELP, '-', "Display this summary"},
59 {"engine_impl", OPT_ENGINE_IMPL, '-',
60 "Also use engine given by -engine for crypto operations"},
62 {"sign", OPT_SIGN, '-', "Sign input data with private key"},
63 {"verify", OPT_VERIFY, '-', "Verify with public key"},
64 {"encrypt", OPT_ENCRYPT, '-', "Encrypt input data with public key"},
65 {"decrypt", OPT_DECRYPT, '-', "Decrypt input data with private key"},
66 {"derive", OPT_DERIVE, '-', "Derive shared secret"},
70 {"in", OPT_IN, '<', "Input file - default stdin"},
[all …]
/freebsd/crypto/openssh/
H A Dmlkem768.sh10 libcrux/libcrux-ml-kem/cg/eurydice_glue.h
11 libcrux/libcrux-ml-kem/cg/libcrux_core.h
12 libcrux/libcrux-ml-kem/cg/libcrux_ct_ops.h
13 libcrux/libcrux-ml-kem/cg/libcrux_sha3_portable.h
14 libcrux/libcrux-ml-kem/cg/libcrux_mlkem768_portable.h
23 set -xeuo pipefail
24 test -d libcrux || git clone https://github.com/cryspen/libcrux
26 test `git diff | wc -l` -ne 0 && die "tree has unstaged changes"
28 git checkout -B extract 1>&2
29 git reset --hard $WANT_LIBCRUX_REVISION 1>&2
[all …]
/freebsd/sys/contrib/openzfs/config/
H A Dzfs-meta.m45 dnl # tag matching the form ZFS_META_NAME-ZFS_META_VERSION-*. This allows
12 dnl # - KEY is separated from VALUE by a colon and one or more spaces/tabs.
13 dnl # - KEY and VALUE are case sensitive.
14 dnl # - Leading spaces are ignored.
15 dnl # - First match wins for duplicate keys.
18 dnl # any non-space character since that will prevent the regex from
50 if test -f "$META"; then
54 if test -n "$ZFS_META_NAME"; then
62 if test -n "$ZFS_META_VERSION"; then
73 if test ! -f ".nogitrelease" && git rev-parse --git-dir > /dev/null 2>&1; then
[all …]

12345